Subject: Re: [Bitcoin-development] Draft BIP for Bloom filtering

From: Gregory Maxwell <[email-masked]>
Date: Thu, 25 Oct 2012 13:01:28 -0400

On Thu, Oct 25, 2012 at 12:56 PM, Gregory Maxwell <[email-masked]> wrote:
> I still don't understand what purpose the apparently gratuitous
> inefficiency of constantly resending common tree fragments.

Sorry for the rapid additional comment, but I should also have
mentioned that the in efficiency is at odds with the privacy argument
for the particular mechanism... if the filter is not set at least
somewhat too broadly then it will uniquely identify the user. The
inefficiency, however, argues for setting the filter as narrowly as
possible because there is much more bandwidth used for a wider filter
than would be otherwise.